package fr.doap.llog;

public class L {
	static final public int		ALL = 		0;
	static final public int		TRACE = 	100;
	static final public int		VERBOSE = 	200;
	static final public int		DEBUG = 	300;
	static final public int		INFO = 		400;
	static final public int		CONFIG = 	500;
	static final public int		WARN = 		600;
	static final public int		ERROR = 	700;
	static final public int		FATAL = 	800;
	static final public int		OFF = 		1000;
	
	static public void filter(String aKey, Filter aFilter) {
		mLooper.put(aKey,aFilter);
	}
	
	static public String getSeverity(int aSeverity) {
		switch(aSeverity) {
			case TRACE: return "TRACE";
			case VERBOSE: return "VERBOSE";
			case DEBUG: return "DEBUG";
			case CONFIG: return "CONFIG";
			case INFO: return "INFO";
			case WARN: return "WARN";
			case ERROR: return "ERROR";
			case FATAL: return "FATAL";
		}
		return "?";
	}
	
	static public LogMsg l(int aSeverity, Throwable aThrowable, String aTag, String aMsg, Object ... aArgs) {
		String lMsg = aMsg;
		if (aArgs != null && aArgs.length > 0) lMsg = String.format(aMsg, aArgs);
		LogMsg lLogMsg = new LogMsg(aSeverity, aThrowable, aTag, lMsg);
		mLooper.post(lLogMsg);
		return lLogMsg;
	}
	
	static private	LogLooper	mLooper = new LogLooper();
}
